using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GC_FormulasRightAndBottom
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            gridControl1.RowCount = 20;
            gridControl1.ColCount = 6;

            gridControl1.TableStyle.CellType = "FormulaCell";

            for (int row = 1; row <= gridControl1.RowCount; ++row)
            {
                gridControl1[row, gridControl1.ColCount].Text = string.Format("=SUM(A{0}:{1}{0})", row, GridRangeInfo.GetAlphaLabel(gridControl1.ColCount-1));
            }

            for (int col = 1; col < gridControl1.ColCount; ++col)
            {
                gridControl1[gridControl1.RowCount, col].Text = string.Format("=SUM({1}1:{1}{0})", gridControl1.RowCount-1, GridRangeInfo.GetAlphaLabel(col));
            }

            gridControl1.RowStyles[gridControl1.RowCount].BackColor = Color.LightGoldenrodYellow;
            gridControl1.RowStyles[gridControl1.RowCount].Enabled = false;
            gridControl1.ColStyles[gridControl1.ColCount].BackColor = Color.LightGoldenrodYellow;
            gridControl1.ColStyles[gridControl1.ColCount].Enabled = false;

            Random r = new Random(123324);
            for (int row = 1; row < gridControl1.RowCount; ++row)
            {
                for (int col = 1; col < gridControl1.ColCount; ++col)
                {
                    gridControl1[row, col].CellValue = r.Next(100);
                }
            }


        }
    }
}